<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class SocioBorrador extends Model
{
    protected $table = 'crm_socio';
    //
    public function lineas(){
        return $this->hasManyThrough('App\Linea','App\LineaSocioBorrador','id_socio', 'id','id','id_linea');
    }
    public function especialidad(){
        return $this->hasOne('App\Especialidad', 'id', 'id_especialidad');
    }
    public function tipoSocio(){
        return $this->hasOne('App\TipoSocio', 'id', 'id_tipo_socio');
    }
    public function clasificacion(){
        return $this->hasOne('App\Clasificacion', 'id', 'id_clasificacion');
    }
    public function codigo(){
        return $this->hasOne('App\CodigoPostal', 'id', 'id_codigo_postal')->with('pais')->with('departamento')->with('municipio')->with('zona')->with('gira')->with('region');
    }
    public function gira(){
        return $this->hasOne('App\Gira', 'id', 'id_gira');
    }
}
